<?php
class viewproduk{
    var $id;
    
    function listproduk(){
        $produk = mysql_query("SELECT produk.id_produk, produk.nama, kategori.nama as kategori, brand.nama as brand, produk.harga, produk.stock, produk.aktif FROM produk, kategori, brand WHERE produk.id_kategori = kategori.id_kategori AND produk.id_brand = brand.id_brand ORDER BY id_produk");

        while ($p = mysql_fetch_array($produk)){
            $data[$i] = array(
                        'id' => $p[id_produk],
                        'nama' => $p[nama],
                        'kategori' => $p[kategori],
                        'brand' => $p[brand],    
                        'harga' => $p[harga],
                        'stock' => $p[stock],
                        'aktif' => $p[aktif]
                     );
            
            $i++;
        }
        
        return($data);
        
    }

    function listtempgambar(){
        $produk = mysql_query("SELECT FROM produk, kategori, brand WHERE produk.id_kategori = kategori.id_kategori AND produk.id_brand = brand.id_brand ORDER BY id_produk");

        while ($p = mysql_fetch_array($produk)){
            $data[$i] = array(
                        'id' => $p[id_produk],
                        'nama' => $p[nama],
                        'kategori' => $p[kategori],
                        'brand' => $p[brand],    
                        'harga' => $p[harga],
                        'stock' => $p[stock],
                        'aktif' => $p[aktif]
                     );
            
            $i++;
        }
        
        return($data);
        
    }
    
    function produk(){
        $produk = mysql_query("SELECT produk.id_produk, produk.nama, produk.detail, produk.ukuran, produk.berat, produk.diskon, produk.id_kategori, produk.id_brand, produk.harga, produk.stock, produk.aktif FROM produk WHERE produk.id_produk = $this->id");
        $p = mysql_fetch_array($produk);
        
        $data = array(
                        'id' => $p[id_produk],
                        'nama' => $p[nama],
                        'detail' => $p[detail],
                        'ukuran' => $p[ukuran],
                        'berat' => $p[berat],
                        'diskon' => $p[diskon],
                        'id_kategori' => $p[id_kategori],
                        'id_brand' => $p[id_brand],    
                        'harga' => $p[harga],
                        'stock' => $p[stock],
                        'aktif' => $p[aktif]
                     );
        
        return($data);
        
    }

    function lastproduk(){
        $produk = mysql_query("SELECT id_produk FROM produk WHERE id_produk IN ( SELECT MAX(id_produk) FROM produk )");
        $p = mysql_fetch_array($produk);

        $data = $p[id_produk];

        return($data);
    }
    
    function addproduk($kategori,$brand,$nama,$detail,$ukuran,$berat,$stock,$harga,$diskon,$aktif){

        $tgl = date("d-m-Y");
        
        mysql_query("INSERT INTO produk(    id_kategori,
                                            id_brand,
                                            nama,
                                            detail,
                                            ukuran,
                                            berat,
                                            stock,
                                            harga,
                                            diskon,
                                            aktif,
                                            dateadd,
                                            dateedit) 
                                            VALUES(
                                            '$kategori',
                                            '$brand',
                                            '$nama',
                                            '$detail',
                                            '$ukuran',
                                            '$berat',
                                            '$stock',
                                            '$harga',
                                            '$diskon',
                                            '$aktif',
                                            STR_TO_DATE('$tgl','%d-%m-%Y'),
                                            STR_TO_DATE('$tgl','%d-%m-%Y'))");
    }
    
    function editproduk($kategori,$brand,$nama,$detail,$ukuran,$berat,$stock,$harga,$diskon,$aktif){

        $tgl = date("d-m-Y");
        
        mysql_query("UPDATE produk SET  id_kategori     = '$kategori',
                                        id_brand        = '$brand',
                                        nama            = '$nama',
                                        detail          = '$detail',
                                        ukuran          = '$ukuran',
                                        berat           = '$berat',
                                        stock           = '$stock',
                                        harga           = '$harga',
                                        diskon          = '$diskon',
                                        aktif           = '$aktif',
                                        dateedit        =  STR_TO_DATE('$tgl','%d-%m-%Y')
                                        WHERE 
                                        id_produk       = $this->id");
    }
    
    function deleteproduk(){
        mysql_query("DELETE FROM produk where id_produk = $this->id");
    }
}

